<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'plugnmeet', language 'en', version '3.9'.
 *
 * @package     plugnmeet
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['No'] = 'No';
$string['Yes'] = 'Yes';
$string['admin_only_webcams'] = 'Admin only webcams';
$string['allow_chat'] = 'Allow chat';
$string['allow_file_upload'] = 'Allow file upload';
$string['allow_recording'] = 'Allow recording';
$string['allow_rtmp'] = 'Allow RTMP';
$string['allow_screen_share'] = 'Allow screen sharing';
$string['allow_shared_notepad'] = 'Allow Shared notepad';
$string['allow_view_other_users_list'] = 'Allow view other users';
$string['allow_view_other_webcams'] = 'Allow view other webcams';
$string['allow_webcams'] = 'Allow webcams';
$string['allow_whiteboard'] = 'Allow Whiteboard';
$string['allowed_external_media_player'] = 'Allow external media player';
$string['background_color'] = 'Background color';
$string['background_color_des'] = 'Interface background color';
$string['background_image'] = 'Background image';
$string['background_image_des'] = 'Should be 1920X1080 in size for best result.';
$string['chatfeatures'] = 'Chat features';
$string['choosereadme'] = 'Readme when selecting the theme.';
$string['client_download_url'] = 'Client download url';
$string['client_download_url_des'] = 'Client download url. Default github';
$string['client_updated_failed'] = 'Failed to update client';
$string['client_updated_success'] = 'Client updated successfully';
$string['custom_css_url'] = 'Custom CSS URL';
$string['custom_css_url_des'] = 'Should be https direct CSS file url';
$string['custom_logo'] = 'Custom logo';
$string['custom_logo_des'] = 'Custom logo for conference room';
$string['default_screen_share_resolution'] = 'Default screen share resolution';
$string['default_screen_share_resolution_des'] = 'Default screen share resolution';
$string['default_webcam_resolution'] = 'Default webcam resolution';
$string['default_webcam_resolution_des'] = 'Default webcam resolution';
$string['defaultlock'] = 'Default lock settings';
$string['delete'] = 'Delete';
$string['design_customization'] = 'Design Customization';
$string['download'] = 'Download';
$string['enable_dynacast'] = 'Enable dynacast';
$string['enable_dynacast_des'] = 'Enable dynacast';
$string['enable_simulcast'] = 'Enable simulcast';
$string['enable_simulcast_des'] = 'Enable simulcast';
$string['end'] = 'End';
$string['error_file_open'] = 'Error in zip file open';
$string['external_media_player_features'] = 'External media player features';
$string['extraoption'] = 'Extra options';
$string['file_size'] = 'File size (MB)';
$string['footer_color'] = 'Footer Color';
$string['footer_color_des'] = 'Interface Footer Color';
$string['header_color'] = 'Header Color';
$string['header_color_des'] = 'Interface Header Color';
$string['join'] = 'Join';
$string['left_color'] = 'Left Side Color';
$string['left_color_des'] = 'Left side bar color';
$string['livekit_server_url'] = 'Livekit server url';
$string['livekit_server_url_des'] = 'Enter Livekit server url';
$string['lock_chat'] = 'Lock chat';
$string['lock_chat_file_share'] = 'Lock file share';
$string['lock_chat_send_message'] = 'Lock send message';
$string['lock_microphone'] = 'Lock microphone';
$string['lock_screen_sharing'] = 'Lock screen sharing';
$string['lock_shared_notepad'] = 'Lock shared notepad';
$string['lock_webcam'] = 'Lock webcam';
$string['lock_whiteboard'] = 'Lock whiteboard';
$string['max_participants'] = 'Maximum participants (0 = unlimited)';
$string['meeting_date'] = 'Meeting date';
$string['missingidandcmid'] = 'Missing id and cmid';
$string['modulename'] = 'plugNmeet';
$string['modulename_help'] = 'Use the plugNmeet module for...';
$string['modulenameplural'] = 'plugNmeets';
$string['mute_on_start'] = 'Mute on start';
$string['newmodulename'] = 'plugNmeet name';
$string['newmodulename_help'] = 'This is the content of the help tooltip associated with the plugNmeet field';
$string['newmodulesettings'] = 'Settings';
$string['nonewmodules'] = 'No plugNmeet';
$string['other_features'] = 'Other features';
$string['pluginadministration'] = 'plugNmeet administration';
$string['pluginname'] = 'plugNmeet';
$string['pluginname_help'] = 'Help text when adding this question type.';
$string['pluginnameadding'] = 'Rendered when adding this question type.';
$string['pluginnameediting'] = 'Rendered when editing this question type.';
$string['pluginnamesummary'] = 'Rendered when choosing the question type to be added.';
$string['plugnmeet:access'] = 'Access content';
$string['plugnmeet:edit'] = 'Edit test';
$string['plugnmeet:enrol'] = 'Enrol users';
$string['plugnmeet:manage'] = 'Manage users';
$string['plugnmeet:unenrol'] = 'Unenrol users';
$string['plugnmeet:upload'] = 'Upload content';
$string['plugnmeet:useeditor'] = 'Edit content';
$string['plugnmeet:view'] = 'View plugNmeet';
$string['plugnmeet_api_key'] = 'plugnmeet API Key';
$string['plugnmeet_api_key_des'] = 'Enter plugnmeet API Key';
$string['plugnmeet_secret'] = 'plugnmeet Secret';
$string['plugnmeet_secret_des'] = 'Enter plugnmeet Secret';
$string['plugnmeet_server_url'] = 'plugnmeet server url';
$string['plugnmeet_server_url_des'] = 'Enter plugNmeet Server URL';
$string['plugnmeetconfig'] = 'plugNmeet config';
$string['plugnmeetoptions'] = 'plugNmeet options';
$string['primary_color'] = 'Primary Color';
$string['primary_color_des'] = 'Primary Color for interface';
$string['privacy:metadata:db:room'] = 'Describe table mod_plugnmeet_room here.';
$string['privacy:metadata:db:room:room_id'] = 'Describe field room_id here.';
$string['privacy:metadata:db:room:room_metadata'] = 'Describe field room_metadata here.';
$string['privacy:metadata:db:room:room_title'] = 'Describe field room_title here.';
$string['privacy:metadata:db:room:timecreated'] = 'Describe field timecreated here.';
$string['privacy:metadata:db:room:timemodified'] = 'Describe field timemodified here.';
$string['privacy:metadata:db:room:welcome_message'] = 'Describe field welcome_message here.';
$string['privacy:metadata:external:plugnmeet'] = 'Describe external system plugnmeet here.';
$string['recording_date'] = 'Recording date';
$string['recordings'] = 'Recordings';
$string['right_color'] = 'Right Side Color';
$string['right_color_des'] = 'Right side bar color';
$string['roomfeatures'] = 'Room features';
$string['roomtitle'] = 'Room title';
$string['secondary_color'] = 'Secondary Color';
$string['secondary_color_des'] = 'Secondary Color for interface';
$string['shared_note_pad_features'] = 'Shared notepad features';
$string['stop_mic_track_on_mute'] = 'Stop mic track on mute';
$string['stop_mic_track_on_mute_des'] = 'Stop mic track on mute';
$string['sure_to_delete'] = 'Are you sure to delete?';
$string['update_client_code'] = '<button class="btn btn-sm btn-secondary mb-6" id="updateClient">Download latest client</button>';
$string['video_codec'] = 'Video codec';
$string['video_codec_des'] = 'Video codec';
$string['view'] = 'View';
$string['welcome_message'] = 'Welcome message';
$string['whiteboard_features'] = 'Whiteboard features';
